net.sourceforge.pmd.lang.java

## Class Java14Parser

- java.lang.Object
- - net.sourceforge.pmd.lang.AbstractParser
  - - net.sourceforge.pmd.lang.java.AbstractJavaParser
    - - net.sourceforge.pmd.lang.java.Java14Parser

All Implemented Interfaces:
  Parser

    public class Java14Parser
    extends AbstractJavaParser

Adapter for the JavaParser, using Java 1.4 grammar.

Author:
  Pieter_Van_Raemdonck - Application Engineers NV/SA - www.ae.be

### Field Summary

### Fields inherited from class net.sourceforge.pmd.lang.AbstractParser

`parserOptions`

### Constructor Summary

Constructors
Constructor and Description
`Java14Parser(ParserOptions parserOptions)`

### Method Summary

Methods
`protected JavaParser` `createJavaParser(Reader source)` Subclass should override this method to modify the JavaParser as needed.

### Methods inherited from class net.sourceforge.pmd.lang.java.AbstractJavaParser

`canParse, createTokenManager, getSuppressMap, parse`

### Methods inherited from class net.sourceforge.pmd.lang.AbstractParser

`getParserOptions, getTokenManager`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Java14Parser

    public Java14Parser(ParserOptions parserOptions)

### Method Detail

#### createJavaParser

    protected JavaParser createJavaParser(Reader source)
                                   throws ParseException

Description copied from class: `AbstractJavaParser`
Subclass should override this method to modify the JavaParser as needed.

Overrides:
  `createJavaParser` in class `AbstractJavaParser`
Throws:
  `ParseException`